Android-Sicherheitsbulletin – Mai 2021

Veröffentlicht 3. Mai 2021 | Aktualisiert am 4. Mai 2021

Das Android Security Bulletin enthält Details zu Sicherheitslücken bei Android-Geräten. Die Sicherheitspatch-Stufen vom 05.05.2021 oder höher beheben all diese Probleme. Um zu erfahren , wie ein Gerät der Sicherheitspatch - Ebene zu überprüfen, finden Sie überprüfen und aktualisieren Sie Ihre Android - Version .

Android-Partner werden mindestens einen Monat vor der Veröffentlichung über alle Probleme informiert. Quellcode-Patches für diese Probleme wurden im Repository des Android Open Source Project (AOSP) veröffentlicht und mit diesem Bulletin verlinkt. Dieses Bulletin enthält auch Links zu Patches außerhalb von AOSP.

Das schwerwiegendste dieser Probleme ist eine kritische Sicherheitslücke in der Systemkomponente, die es einem Remoteangreifer mithilfe einer speziell gestalteten Datei ermöglichen könnte, beliebigen Code im Kontext eines privilegierten Prozesses auszuführen. Die Bewertung des Schweregrads wird auf die Wirkung aus , dass die Sicherheitsanfälligkeit ausnutzt möglicherweise auf einem betroffenen Gerät haben würde, vorausgesetzt , die Plattform und Service Milderungen sind für Entwicklungszwecke oder wenn erfolgreich umgangen ausgeschaltet.

Finden Sie im Android und Google Protect mitigations Play - Abschnitt für Details über den Android - Security - Plattform Schutz und Google Protect Spiele, die die Sicherheit der Android - Plattform zu verbessern.

Minderung von Android- und Google-Diensten

Dies ist eine Zusammenfassung der mitigations von dem bereitgestellten Android - Security - Plattform und Service - Schutz wie Google Play Protect . Diese Funktionen verringern die Wahrscheinlichkeit, dass Sicherheitslücken auf Android erfolgreich ausgenutzt werden können.

  • Die Ausnutzung vieler Probleme auf Android wird durch Verbesserungen in neueren Versionen der Android-Plattform erschwert. Wir empfehlen allen Benutzern, nach Möglichkeit auf die neueste Android-Version zu aktualisieren.
  • Das Android - Sicherheitsteam überwacht aktiv für Missbrauch durch Google Play Protect und warnt Benutzer vor potenziell schädlichen Anwendungen . Google Play Protect ist standardmäßig auf Geräten mit aktiviertem Google Mobile Services , und ist besonders wichtig für Benutzer , die Anwendungen von außerhalb von Google Play installieren.

01.05.2021 Sicherheitslücken auf Ebene des Sicherheitspatchs

In den folgenden Abschnitten stellen wir Details zu den einzelnen Sicherheitslücken bereit, die für das Patch-Level 2021-05-01 gelten. Schwachstellen werden nach der Komponente gruppiert, die sie betrifft. Probleme werden in den nachstehenden Tabellen und enthalten CVE - ID zugeordnet Referenzen, beschriebene Art von Verletzlichkeit , Schwere und aktualisierten AOSP Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, z. B. die AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Verweise mit Nummern nach der Fehler-ID verknüpft. Geräte mit 10 Android und können später Sicherheitsupdates erhalten sowie Google Play System - Updates .

Rahmen

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CV Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2021-0472 A-176801033 EoP Hoch 9, 10, 11
CVE-2021-0485 A-174302616 EoP Hoch 11
CVE-2021-0487 A-174046397 EoP Hoch 11

Medien-Framework

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CV Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2021-0482 A-173791720 EoP Hoch 11
CVE-2021-0484 A-173720767 ICH WÜRDE Hoch 8.1, 9, 10, 11

System

Die schwerwiegendste Sicherheitsanfälligkeit in diesem Abschnitt kann es einem Remoteangreifer ermöglichen, mithilfe einer speziell gestalteten Datei beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CV Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2021-0473 A-179687208 RCE Kritisch 8.1, 9, 10, 11
CVE-2021-0474 A-177611958 RCE Kritisch 8.1, 9, 10, 11
CVE-2021-0475 A-175686168 RCE Kritisch 10, 11
CVE-2021-0476 A-169252501 EoP Hoch 9, 10, 11
CVE-2021-0477 A-178189250 EoP Hoch 8.1, 9, 10, 11
CVE-2021-0481 A-172939189 EoP Hoch 8.1, 9, 10, 11
CVE-2021-0466 A-154114734 ICH WÜRDE Hoch 10
CVE-2021-0480 A-174493336 ICH WÜRDE Hoch 8.1, 9, 10, 11

Google Play-Systemupdates

In diesem Monat wurden keine Sicherheitsprobleme in den Google Play-Systemupdates (Project Mainline) behoben.

05.05.2021 Sicherheitslückendetails auf Sicherheitspatchebene

In den folgenden Abschnitten stellen wir Details zu den einzelnen Sicherheitslücken bereit, die für das Patch-Level 2021-05-05 gelten. Schwachstellen werden nach der Komponente gruppiert, die sie betrifft. Probleme werden in den nachstehenden Tabellen und enthalten CVE - ID zugeordnet Referenzen, beschriebene Art von Verletzlichkeit , Schwere und aktualisierten AOSP Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, z. B. die AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Verweise mit Nummern nach der Fehler-ID verknüpft.

Rahmen

Die Sicherheitsanfälligkeit in diesem Abschnitt kann es einer lokalen bösartigen Anwendung ermöglichen, den Schutz des Betriebssystems zu umgehen, der Anwendungsdaten von anderen Anwendungen isoliert.

CV Verweise Art Schwere Aktualisierte AOSP-Versionen
CVE-2019-2219 A-119041698 ICH WÜRDE Hoch 11

Kernel-Komponenten

Die Sicherheitsanfälligkeit in diesem Abschnitt kann es einem lokalen Angreifer ermöglichen, Benutzerinteraktionsanforderungen zu umgehen, um Zugriff auf zusätzliche Berechtigungen zu erhalten.

CV Verweise Art Schwere Komponente
CVE-2020-29661 A-175451802
Upstream-Kernel
EoP Hoch TTY

AMLogic

Diese Sicherheitsanfälligkeit betrifft AMLogic-Komponenten und weitere Details sind direkt bei AMLogic erhältlich. Die Bewertung des Schweregrads dieses Problems wird direkt von AMLogic bereitgestellt.

CV Verweise Schwere Komponente
CVE-2021-0467 A-174490700 * Kritisch bootROM

ARM-Komponenten

Diese Schwachstellen betreffen ARM-Komponenten und weitere Details sind direkt bei ARM erhältlich. Die Bewertung des Schweregrads dieser Probleme wird direkt von ARM bereitgestellt.

CV Verweise Schwere Komponente
CVE-2021-28663
A-174259860 * Hoch Mali
CVE-2021-28664
A-174588870 * Hoch Mali

MediaTek-Komponenten

Diese Sicherheitslücken betreffen MediaTek-Komponenten und weitere Details sind direkt bei MediaTek erhältlich. Die Bewertung des Schweregrads dieser Probleme wird direkt von MediaTek bereitgestellt.

CV Verweise Schwere Komponente
CVE-2021-0489 A-183464866
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0490
A-183464868
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0491 A-183461315
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0492 A-183459078
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0493
A-183461317
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0494 A-183461318
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0495 A-183459083
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0496 A-183467912
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0497 A-183461320
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung
CVE-2021-0498 A-183461321
M-ALPS05403499 *
Hoch Treiber für die Speicherverwaltung

Unisoc-Komponenten

Diese Sicherheitsanfälligkeit betrifft Unisoc-Komponenten und weitere Details sind direkt bei Unisoc erhältlich. Die Bewertung des Schweregrads dieses Problems wird direkt von Unisoc bereitgestellt.

CV Verweise Schwere Komponente
CVE-2021-0324 A-175402462 * Hoch Rahmen

Qualcomm-Komponenten

Diese Sicherheitsanfälligkeiten betreffen Qualcomm-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CV Verweise Schwere Komponente
CVE-2021-1891 A-179039763
QC-CR # 2766242 [ 2 ]
Hoch Audio
CVE-2021-1905 A-178809945
QC-CR#2826864
Hoch Anzeige
CVE-2021-1927 A-179040600
QC-CR#2827356
Hoch Kernel
CVE-2021-1906 A-178810049
QC-CR#2835082
Mäßig Anzeige

Qualcomm Closed-Source-Komponenten

Diese Sicherheitsanfälligkeiten betreffen Closed-Source-Komponenten von Qualcomm und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CV Verweise Schwere Komponente
CVE-2020-11273 A-172348952 * Hoch Closed-Source-Komponente
CVE-2020-11274
A-172348993 * Hoch Closed-Source-Komponente
CVE-2020-11279 A-172348857 * Hoch Closed-Source-Komponente
CVE-2020-11284 A-172348929 * Hoch Closed-Source-Komponente
CVE-2020-11285 A-172349029 * Hoch Closed-Source-Komponente
CVE-2020-11288 A-172348722 * Hoch Closed-Source-Komponente
CVE-2020-11289 A-172348852 * Hoch Closed-Source-Komponente
CVE-2021-1910 A-179039901 * Hoch Closed-Source-Komponente
CVE-2021-1915 A-172944461 * Hoch Closed-Source-Komponente

Häufige Fragen und Antworten

In diesem Abschnitt werden häufig gestellte Fragen beantwortet, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie kann ich feststellen, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Um zu erfahren , wie ein Gerät der Sicherheitspatch - Ebene zu überprüfen, finden Sie überprüfen und aktualisieren Sie Ihre Android - Version .

  • Die Sicherheitspatchstufen vom 01.05.2021 oder höher beheben alle Probleme im Zusammenhang mit der Sicherheitspatchstufe 2021.05.01.
  • Die Sicherheitspatchstufen vom 05.05.2021 oder höher beheben alle Probleme, die mit der Sicherheitspatchstufe 2021-05-05 und allen vorherigen Patchstufen verbunden sind.

Gerätehersteller, die diese Updates enthalten, sollten die Patch-String-Ebene auf Folgendes festlegen:

  • [ro.build.version.security_patch]:[2021-05-01]
  • [ro.build.version.security_patch]:[2021-05-05]

Bei einigen Geräten mit Android 10 oder höher enthält das Google Play-Systemupdate eine Datumszeichenfolge, die der Sicherheitspatchstufe 2021-05-01 entspricht. Bitte beachten Sie diesen Artikel , um weitere Informationen darüber , wie Sicherheits - Updates zu installieren.

2. Warum hat dieses Bulletin zwei Sicherheitspatch-Stufen?

Dieses Bulletin verfügt über zwei Sicherheitspatchstufen, sodass Android-Partner die Flexibilität haben, eine Teilmenge von Sicherheitslücken, die auf allen Android-Geräten ähnlich sind, schneller zu beheben. Android-Partnern wird empfohlen, alle Probleme in diesem Bulletin zu beheben und die neueste Sicherheitspatch-Stufe zu verwenden.

  • Geräte, die die Sicherheitspatchstufe 2021-05-01 verwenden, müssen alle mit dieser Sicherheitspatchstufe verbundenen Probleme sowie Fixes für alle in früheren Sicherheitsbulletins gemeldeten Probleme enthalten.
  • Geräte, die den Sicherheitspatch-Level vom 05.05.2021 oder neuer verwenden, müssen alle zutreffenden Patches in diesem (und früheren) Sicherheitsbulletins enthalten.

Partnern wird empfohlen, die Fixes für alle Probleme, die sie beheben, in einem einzigen Update zu bündeln.

3. Was die Einträge in der Spalte Typ Mittelwert tun?

Einträge in der Spalte Typ der Verwundbarkeit Details Tabelle Bezug auf die Klassifizierung des Sicherheitslücke.

Abkürzung Definition
RCE Remotecodeausführung
EoP Erhöhung des Privilegs
ICH WÜRDE Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

4. Was die Einträge in der Referenzspalte Mittelwert tun?

Einträge unter den Referenzen Spalte der Verwundbarkeit Details Tabelle können einen Präfix enthalten , die Organisation zu dem der Referenzwert gehört zu identifizieren.

Präfix Referenz
EIN- Android-Fehler-ID
QC- Qualcomm-Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom-Referenznummer

5. Was Spalte Mittelwert ein * nächstes tut ID zum Android Bug in der Literatur?

Ausgaben, die nicht öffentlich verfügbar sind, haben ein * neben der entsprechenden Referenz-ID. Das Update für dieses Problem wird in den neuesten binären Treiber für Pixel - Geräte verfügbar von der allgemein enthaltenen Google Developer - Website .

6. Warum werden Sicherheitslücken zwischen diesem Bulletin und Geräte-/Partner-Sicherheitsbulletins wie dem Pixel-Bulletin aufgeteilt?

In diesem Security Bulletin dokumentierte Sicherheitslücken sind erforderlich, um die neueste Sicherheitspatchstufe auf Android-Geräten zu deklarieren. Zusätzliche Sicherheitslücken, die in den Geräte-/Partner-Sicherheitsbulletins dokumentiert sind, sind für die Angabe eines Sicherheitspatch-Levels nicht erforderlich. Android - Gerät und Chipsatz - Hersteller kann auch Sicherheitslücke Details speziell auf ihre Produkte, wie zum Beispiel veröffentlicht Google , Huawei , LGE , Motorola , Nokia oder Samsung .

Versionen

Ausführung Datum Anmerkungen
1.0 3. Mai 2021 Bulletin veröffentlicht.
1.1 4. Mai 2021 Bulletin überarbeitet, um AOSP-Links aufzunehmen